Bug 487605 - GraphicsMagick 1.3
GraphicsMagick 1.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-02-26 17:25 EST by Curtis Doty
Modified: 2009-10-03 15:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.6.3-25.20090306svn.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 14:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
update spec to 1.3.5 (2.09 KB, patch)
2009-02-26 17:25 EST, Curtis Doty
no flags Details | Diff

  None (edit)
Description Curtis Doty 2009-02-26 17:25:21 EST
Created attachment 333398 [details]
update spec to 1.3.5

I've successfully built it with gcc-4.4.0-0.21 from rawhide now that bug 478979 appears fixed upstream.

Can we get it into rawhide before F-11 feature freeze?
Comment 1 Curtis Doty 2009-02-26 21:40:03 EST
Hrmm...maybe it's not perfect yet?

+ gm convert -sample 256x192 -quality 90 sandpond.jpg sandpond.IMsampled.256.jpg
gm[27884]: segfault at 28 ip 023cd635 sp bfe14d90 error 4 in libgs.so.8.63[2302000+45a000]

I've done wicked things though...like hopping up the system gcc to 4.4 for build...then bump back down to libgcc-4.3.2-7 to test.
Comment 2 Curtis Doty 2009-02-26 21:43:18 EST
No clue why a resample of a fontless photo would cause seg in ghostscript library.
Comment 3 Bob Friesenhahn 2009-04-07 11:46:35 EDT
The Ghostscript library incorporates its own modified copy of libjpeg without renaming symbols.  GraphicsMagick uses the system libjpeg.  The problem is that the linker may end up linking against the libjpeg embedded in the Ghostscript library rather than the system's libjpeg.  This is one of many reasons to not link GraphicsMagick directly with the Ghostscript library.  Add the configure option --without-gslib in order to block out using the Ghostscript library.

The following is the text from GraphicsMagick's README.txt file regarding the Ghostscript situation:

* GraphicsMagick requires Ghostscript software (version 8.50 recommended)
  available from

    http://www.cs.wisc.edu/~ghost/

  to read the Postscript or the Portable Document format. Ghostscript
  is used to annotate an image when the FreeType library is not used,
  or an X server is not available. See the FreeType library above for
  another means to annotate an image. Note, Ghostscript must support
  the ppmraw device (type `gs -h` to verify). If Ghostscript is
  unavailable, the Display Postscript X11 extension is used to
  rasterize a Postscript document (assuming you define HasDPS and DPS
  is available). The DPS extension is less robust than Ghostscript in
  that it will only rasterize one page of a multi-page document.

  Ghostscript (release 7.0 and later) may optionally install a library
  (libgs) under Linux. If this library is installed, GraphicsMagick may
  be configured to use it. We do **NOT** recommend using this library
  under Unix type systems. The Ghostscript library does not support
  concurrency since only one instance of the interpreter is available.
  Unix systems will obtain better performance from executing Ghostscript as
  an external process since then multiple interpreters may execute at
  once on multiple CPU cores.

  Ghostscript provides its own modified version of libjpeg and libJasper
  while GraphicsMagick will be using these libraries as provided with the
  system. If Ghostscript is not using the same libraries, then
  identically named symbols may be used from the wrong code, causing
  confusion or a program crash. If conflicts cause JPEG to fail (JPEG
  returns an error regarding expected structure sizes), it may be
  necessary to use Ghostscript's copy of libjpeg for GraphicsMagick, and
  all delegate libraries which depend on libjpeg, or convince Ghostscript
  to build against an unmodified installed JPEG library (and lose
  compatibility with some Postscript files).

Bob
Comment 4 Solomon Peachy 2009-05-06 09:03:02 EDT
For what it's worth, I'd like to second the request for a modern GraphicsMagick into rawhide and hopefully Fedora 11.  The packaged 1.1.5 release is two full stable release cycles out of date now, and is considered a legacy EOL codebase.

The current GM 1.3 stable series adds quite a few improvements, least of which are massive performance gains.
Comment 5 Bug Zapper 2009-06-09 07:40:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rex Dieter 2009-06-30 10:49:03 EDT
Rebasing
Comment 7 Rex Dieter 2009-06-30 11:39:55 EDT
This would involve an ABI break, so all dependent pkgs would need rebuilding, my quick-n-dirty repoquery turns up:

$ sudo repoquery --disablerepo=* --enablerepo=rawhide-source --srpm --whatrequires GraphicsMagick-devel
koffice-2:2.0.1-1.fc12.src
dvdauthor-0:0.6.14-8.fc11.src

wow, that's all?  neat. :)
Comment 8 Rex Dieter 2009-06-30 12:05:42 EDT
I've got the rawhide update prepared, and tested rebuilding dependencies.

fire in the hole.
Comment 9 Bob Friesenhahn 2009-07-27 22:05:58 EDT
GraphicsMagick 1.3.6 is released now.
Comment 10 Rex Dieter 2009-07-29 13:11:21 EDT
rawhide updated.

Andreas, would you consider updating previous releases as well?  I'm ok either way, but if it matters, I'm also ok with rebuilding koffice for it.
Comment 11 Rex Dieter 2009-09-17 10:12:28 EDT
Andreas, ping?  are you around anymore?

I guess consider this attempt #1 to for contact per
http://fedoraproject.org/wiki/PackageMaintainers/Policy#What_to_do_if_a_Maintainer_is_absent
Comment 12 Rex Dieter 2009-09-17 14:31:23 EDT
ok, I'm a tard, didn't match email/name vs irc nick... I'm sure we can find each other.  in the meantime, I close this for rawhide.
Comment 13 Fedora Update System 2009-09-21 09:02:47 EDT
koffice-1.6.3-25.20090306svn.fc11,dvdauthor-0.6.14-9.fc11,GraphicsMagick-1.3.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/koffice-1.6.3-25.20090306svn.fc11,dvdauthor-0.6.14-9.fc11,GraphicsMagick-1.3.7-1.fc11
Comment 14 Fedora Update System 2009-10-03 15:02:00 EDT
koffice-1.6.3-25.20090306svn.fc11, dvdauthor-0.6.14-9.fc11, GraphicsMagick-1.3.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.